Bug 189659 - pcmcia CompactFlash card not considered a "removable" disk
pcmcia CompactFlash card not considered a "removable" disk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 02:28 EDT by Michael Kenney
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 14:09:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of udevinfo -a -p $(udevinfo -q path -n /dev/hde1) (2.46 KB, text/plain)
2006-04-22 02:28 EDT, Michael Kenney
no flags Details

  None (edit)
Description Michael Kenney 2006-04-22 02:28:06 EDT
Description of problem:
Compact Flash card in a pcmcia adaptor is listed as a non-removable drive, i.e.
SYSFS{removable} is set to "0". This seems to be preventing gnome-mount from
mounting the drive. gnome-mount tells me I am "not privileged to mount the
volume" (even as root). Works fine if I place an entry in /etc/fstab which makes
sense as HAL probably considers it to be a "fixed" disk.

Version-Release number of selected component (if applicable): 
2.6.16-1.2096_FC5


How reproducible:
Happens every time.


Steps to Reproduce:
1. Insert CF card in adaptor
2. PCMCIA subsystem recognizes device and assigns it to /dev/hde
3.
  
Actual results:
cat /sys/block/hde/removable
0

Expected results:
cat /sys/block/hde/removable
1

Additional info:
This operation has worked fine on FC1 - FC4
Comment 1 Michael Kenney 2006-04-22 02:28:06 EDT
Created attachment 128110 [details]
Output of udevinfo -a -p $(udevinfo -q path -n /dev/hde1)
Comment 2 Dave Jones 2006-10-16 13:42:56 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Michael Kenney 2006-10-22 21:15:51 EDT
That seems to have fixed the problem. Thanks.

Note You need to log in before you can comment on or make changes to this bug.